org.apache.synapse.transport.certificatevalidation.cache

## Class CacheController

- java.lang.Object
- - org.apache.synapse.transport.certificatevalidation.cache.CacheController

- All Implemented Interfaces:
    CacheControllerMBean

      public class CacheController
      extends java.lang.Object
      implements CacheControllerMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheController(ManageableCache cache, CacheManager cacheManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `changeCacheManagerDelayMins(int delay)`
    `int` | `getCacheManagerDelayMins()`
    `int` | `getCacheSize()`
    `boolean` | `isCacheManagerRunning()`
    `boolean` | `stopCacheManager()`
    `boolean` | `wakeUpCacheManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheController

          public CacheController(ManageableCache cache,
                                 CacheManager cacheManager)

  - ### Method Detail

    - #### stopCacheManager

          public boolean stopCacheManager()

      Specified by:
        `stopCacheManager` in interface `CacheControllerMBean`

    - #### wakeUpCacheManager

          public boolean wakeUpCacheManager()

      Specified by:
        `wakeUpCacheManager` in interface `CacheControllerMBean`

    - #### changeCacheManagerDelayMins

          public boolean changeCacheManagerDelayMins(int delay)

      Specified by:
        `changeCacheManagerDelayMins` in interface `CacheControllerMBean`

    - #### isCacheManagerRunning

          public boolean isCacheManagerRunning()

      Specified by:
        `isCacheManagerRunning` in interface `CacheControllerMBean`

    - #### getCacheSize

          public int getCacheSize()

      Specified by:
        `getCacheSize` in interface `CacheControllerMBean`

    - #### getCacheManagerDelayMins

          public int getCacheManagerDelayMins()

      Specified by:
        `getCacheManagerDelayMins` in interface `CacheControllerMBean`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.